Skip to main content

createOrUpdateDependencyTrackIntegration

Create or update Dependency Track integration

createOrUpdateDependencyTrackIntegration(
input: CreateOrUpdateDependencyTrackIntegrationInput!
): CreateOrUpdateDependencyTrackIntegrationPayload

Arguments​

createOrUpdateDependencyTrackIntegration.input ● CreateOrUpdateDependencyTrackIntegrationInput! non-null input​

Parameters for CreateOrUpdateDependencyTrackIntegration

Type​

CreateOrUpdateDependencyTrackIntegrationPayload object​

Autogenerated return type of CreateOrUpdateDependencyTrackIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateDependencyTrackIntegration($input: CreateOrUpdateDependencyTrackIntegrationInput!) {\n createOrUpdateDependencyTrackIntegration(input: $input) { clientMutationId integration { id name assets { __typename } } }\n}","variables":{"input":{"companyId":1,"url":"example","token":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute